---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: authorizedapiproxy
  namespace: ory
spec:
  rules:
  - host: authorized.data.vng.com
    http:
      paths:
        - path: /
          pathType: Prefix
          backend:
            service:
              name: authorizedapiproxy
              port:
                number: 9090

---
apiVersion: v1
kind: Service
metadata:
  name: authorizedapiproxy
  namespace: ory
  labels:
    app: authorizedapiproxy
spec:
  type: NodePort
  selector:
    app: authorizedapiproxy
  ports:
  - port: 9090
    targetPort: 9090

---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: authorizedapiproxy
  namespace: ory
  labels:
    app: authorizedapiproxy
spec:
  replicas: 1
  selector:
    matchLabels:
      app: authorizedapiproxy
  template:
    metadata:
      labels:
        app: authorizedapiproxy
    spec:
      containers:
      - name: authorizedapiproxy
        # image: registry.gitlab.com/commondatafactory/cdf-identity-platform/authorized_api_proxy:latest
        image: localhost:32000/authtest
        imagePullPolicy: Always
        ports:
        - containerPort: 9090
        readinessProbe:
          httpGet:
            path: /health
            port: 9090
        livenessProbe:
          httpGet:
            path: /health
            port: 9090
